"use strict";

exports.__esModule = true;
exports.useFetchClient = void 0;

var _react = require("react");

var _context = require("./context");

var useFetchClient = function useFetchClient() {
  var client = (0, _react.useContext)(_context.FetchContext);

  if (!client) {
    throw new Error('Unable to find fetch client on context');
  }

  return client;
};

exports.useFetchClient = useFetchClient;