import { FetchActionCreator } from './action';
import { FetchQueryResult } from './use-fetch';
interface FetchMutationResult<TData, TArg, TMeta> extends FetchQueryResult<TData, TMeta> {
    mutate: (arg?: TArg) => Promise<TData>;
    reset: () => void;
}
export default function useFetchMutation<TData, TArg = any, TMeta = any>(actionCreator: FetchActionCreator<TArg, TMeta>): FetchMutationResult<TData, TArg, TMeta>;
export {};
