import { useContext } from 'react';
import { FetchContext } from './context';
export var useFetchClient = function useFetchClient() {
  var client = useContext(FetchContext);

  if (!client) {
    throw new Error('Unable to find fetch client on context');
  }

  return client;
};